Package org.apache.tools.ant.util

# Interface Tokenizer

All Known Implementing Classes:
  `FileTokenizer`, `LineTokenizer`, `StringTokenizer`, `TokenFilter.FileTokenizer`, `TokenFilter.StringTokenizer`

public interface Tokenizer
input stream tokenizers implement this interface

Version:
  Ant 1.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPostToken()`
  return the string between tokens, after the previous token.
  `String`
  `getToken(Reader in)`
  get the next token from the input stream

- ## Method Details

  - ### getToken

    String getToken(Reader in) throws IOException
    get the next token from the input stream
    Parameters:
      `in` - the input stream
    Returns:
      the next token, or null for the end of the stream
    Throws:
      `IOException` - if an error occurs

  - ### getPostToken

    String getPostToken()
    return the string between tokens, after the previous token.
    Returns:
      the intra-token string